/*
 *  Signed and unsigned bit picking.
 */

#include "bits.h"

/* signed bit picking */

long vm_s6bits(long value) {
	value = vm_u6bits(value);
	if (value & (1L<<5))
		value = (((-1L)<<6)|value);
	return value;
}

long vm_s14bits(long value) {
	value = vm_u14bits(value);
	if (value & (1L<<13))
		value = (((-1L)<<14)|value);
	return value;
}

long vm_s22bits(long value) {
	value = vm_u22bits(value);
	if (value & (1L<<21))
		value = (((-1L)<<22)|value);
	return value;
}

