/*
 *  Dynamic array of type.
 */

typedef struct TypeArray TypeArray;

struct TypeArray {
	long	size;	/* size of the array */
	long	nalloc;	/* current allocated length  >= size */
	type *	data;	/* array of type values */
};

TypeArray *new_typearray(void);
void	del_typearray(TypeArray *array);
int	typearray_append(TypeArray *array, type value);
int	typearray_remove(TypeArray *array, long which);

