/*
 *  Dynamic array of (void *).
 */

typedef struct PtrArray PtrArray;

struct PtrArray {
	long	size;	/* size of the array */
	long	nalloc;	/* current allocated length >= size */
	void **	data;	/* array of void * values */
};

PtrArray *new_ptrarray(void);
void	del_ptrarray(PtrArray *array);
long	ptrarray_append(PtrArray *array, void * value);
long	ptrarray_remove(PtrArray *array, long which);

