/*
 *  Dynamic array of strings (actually char *).
 */

typedef struct StringArray StringArray;

struct StringArray {
	long	size;	/* size of the array */
	long	nalloc;	/* current allocated length  >= size */
	char **	data;	/* array of char * values */
};

StringArray *new_stringarray(void);
void	del_stringarray(StringArray *array);
long	stringarray_append(StringArray *array, char * value);
long	stringarray_remove(StringArray *array, long which);

