/*
 *  Virtual Machine Constants
 */

enum VM_Internal {
	Nregs = 64,
	FP = 62,
	SP = 63
};

enum VM_Mode {
	AbsMode		= 0,
	RelMode		= 1,
	SmallMode	= 0,
	LargeMode	= 1,
	RegMode		= 2,
	CellMode	= 3,
	NoMode		= -1
};

enum VM_Proc_State {
	Stopped	= 0,
	Running	= 1,
	Waiting	= 2
};

enum VM_Proc_Flag {
	Equal = 1,
	LessThan = 2,
	GreaterThan = 4,
	EndOfFile = 8
};

