/*
 *  Dynamic array of real numbers (doubles).
 */

typedef struct DoubleArray DoubleArray;

struct DoubleArray {
	long	size;	/* size of the array */
	long	nalloc;	/* current allocated length  >= size */
	double *data;	/* array of double values */
};

DoubleArray *new_doublearray(void);
void	del_doublearray(DoubleArray *array);
int	doublearray_append(DoubleArray *array, double value);
int	doublearray_remove(DoubleArray *array, long which);

