/*
 *  Dynamic array of integers (actually long ints).
 */

typedef struct IntArray IntArray;

struct IntArray {
	long	size;	/* size of the array */
	long	nalloc;	/* current allocated length  >= size */
	long *	data;	/* array of long int values */
};

IntArray *new_intarray(void);
void	del_intarray(IntArray *array);
long	intarray_append(IntArray *array, long value);
long	intarray_remove(IntArray *array, long which);

